pre-header {
    visibility: hidden;
    opacity: 0;
    transition: opacity 150ms linear;
}

code-area:hover > pre-header {
    visibility: visible;
    opacity: 1;
}

h1, h2, h3, h4, h5, h6 {
    padding-bottom: 6px;
}

/* a series of global css defines for the markdown rendering */
blockquote {
    margin: 0px;
    padding: 4px;
    padding-left: 8px;
}

blockquote > p {
    margin: 0px;
    border-left: 4px solid hsl(var(--info), var(--layer-element));
    padding: 2px;
    padding-left: 4px;
}

ul p {
    margin: 2px;
}

ul {
    padding-inline-start: 28px;
    margin: 0px;
}

/* iframe {
    width: 100%;
    height: 250px;
    border: 1px solid var(--primary);
    border-radius: 4px;
} */

pre {
    overflow-x: auto;
}

h1 {
    border-bottom: 2px solid hsl(var(--primary), var(--layer-element));
}

h2 {
    border-bottom: 1px solid hsl(var(--secondary), var(--layer-element));
}

h3 {
    border-bottom: 1px solid hsl(var(--text-color-secondary), var(--layer-element));
}
